{******************************************************************************

 ANALOG DEVICES 
 EUROPEAN DSP APPLICATIONS
 
 versatile FLASH utility for embedded systems
  
 Main program,							   Ver: 1.00.0
 
	created     24-AUG-97 by hs
	last change 24-AUG-97 by hs

 Status:
 	verfied for ADmsp402/403 EB

 ******************************************************************************
}

.module/ram       MAIN;
.include    <constant.h>;

.entry  start;

start:
	
	ifc = 0xff;			{ clear pending interrupts }
	nop;

	imask = 0;
	icntl = 7;

	call init_uart;			{ intialize uart routine }
	call turn_rx_on;		{ turn on uart }

	call bdma_setup;		{ set up BDMA for FLASH }

        jump cmdProc;

.endmod;
